SYSTEMD-KEYUTIL(1)

NOM
systemd-keyutil – Réalisation de diverses opérations sur des clés privées et des certificats X.509

SYNOPSIS

systemd-keyutil [OPTIONS...] {COMMANDE}

DESCRIPTION

systemd-keyutil peut être utilisé pour réaliser diverses opérations sur des clés privées et des certificats X.509.

COMMANDES

validate
    Vérification que la clé privée et le certificat spécifiés respectivement par --private-key= et --certificate= peuvent être chargés.

    Comme effet de bord, si la clé privée est chargée à partir d’un jeton matériel protégé par un code confidentiel, cette commande peut être utilisée pour mettre en cache le code confidentiel dans le trousseau de clés (keyring) du noyau. Les variables d’environnement $SYSTEMD_ASK_PASSWORD_KEYRING_TIMEOUT_SEC et $SYSTEMD_ASK_PASSWORD_KEYRING_TYPE peuvent être utilisées pour contrôler la taille et dans quel trousseau de clés le code confidentiel est mis en cache.

    Ajouté dans la version 257.

public
    Cette commande affiche la clé publique au format PEM extraite soit du certificat fourni avec --certificate= ou de la clé privée fournie avec --private-key=.

    Ajouté dans la version 257.

OPTIONS

Les options suivantes sont comprises :

--private-key=CHEMIN/URI, --private-key-source=TYPE[:NOM], --certificate=CHEMIN, --certificate-source=TYPE[:NOM]
    Définition de la clé privée et du certificat à utiliser. L’option --certificate= prend un chemin vers un certificat X.509 encodé au format PEM ou un URI qui est passé au fournisseur OpenSSL configuré avec --certificate-source. L’option --certificate-source prend pour valeur « file » ou « provider », avec ce dernier suivi d’un identifiant spécifique de fournisseur séparé par un deux-points, par exemple, « provider:pkcs11 ». L’option --private-key= peut prendre un chemin ou un URI qui sera passé au moteur ou au fournisseur OpenSSL, comme spécifié par --private-key-source= sous forme de tuple « type:nom », tel que « engine:pkcs11 ».

    Ajouté dans la version 257.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

VOIR AUSSI

systemd-sbsign(1), systemd-measure(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.